#include <ap_int.h>

#define PAGE_SIZE 4096

int is_packet_complete(int *count, int size) {

	//Increase by 4 Bytes.
	*count += 4;

	//If the Current Count Value is Equal to the Packet Size then Return 1.
	if (*count == size)
	{
		*count = 0;
		return 1;
	} else
	{
		return 0;
	}
}
